/* dc_gui2 - a GTK+2 GUI for DCTC
 * Copyright (C) 2002 Eric Prevoteau
 *
 * proc_serv_cmd.h: Copyright (C) Eric Prevoteau <www@a2pb.gotdns.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/*
$Id: proc_serv_cmd.h,v 1.4 2004/01/14 15:48:39 ericprev Exp $
*/

#ifndef __PROC_SERV_CMD_H__
#define __PROC_SERV_CMD_H__

/* commands sent by external clients to dc_gui2 */
enum
{
	PS_GET_TEXT_WIDGET_VALUE=0x0101,			/* 1 parameter: text=widgetname */
														/*   reply: PS_TEXT_WIDGET_VALUE */
	PS_GET_VAR_VALUE=0x0102,					/* 1 parameter: text=variable name */
														/*   reply: PS_VAR_VALUE */
	PS_GET_CHECKBUTTON_WIDGET_VALUE=0x0103,/* 1 parameter: text=widgetname */
														/*   reply: PS_CHECKBUTTON_WIDGET_VALUE */

	PS_SEND_CMD_TO_DCTC=0x0201,				/* 1 parameter: text=the command */
														/*   no reply */
	PS_SEND_CMD_TO_GDL_DCTC=0x0202,			/* 1 parameter: text=the command */
														/*   no reply */
};

/* commands sent by dc_gui2 to external client */
enum
{
	PS_TEXT_WIDGET_VALUE=0x8101,				/* if the widget exist, 1 parameter: text=widget text value */
														/* else 0 parameter */
	PS_VAR_VALUE=0x8102,							/* if the widget exist, 1 parameter: text=widget text value */
														/* else 0 parameter */
	PS_CHECKBUTTON_WIDGET_VALUE=0x8103,		/* if the widget exist, 1 parameter: guint8=widget boolean value */
														/* else 0 parameter */
	PS_INVALID_QUERY=0xFFFF
};

#endif
